Skip to content

Change the object types assigned to object records. Any field values which exist on both the original and new object type will carry over to the new type. All other field values will be removed, as only fields on the new type are valid. You can set field values on the new object type in the CSV input.

POST/api/{version}/vobjects/{object_name}/actions/changetype
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or text/csv
NameDescription
{object_name}The name of the object.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: application/json" \ --data-binary @"C:\Vault\Objects\objecttypes.csv" \ https://myvault.veevavault.com/api/v18.1/vobjects/product__v/actions/changetype
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "data": { "id": "00P07710", "url": "api/v15.0/vobjects/product__v/00P07710" } } ] }